(in-package #:cl-yahoo)

;;;;; GLOBAL PARAMS 

(defvar *appid* "cl-yahoo")

(defvar *content-type* "application/x-www-form-urlencoded" 
  "For HTTP-POST methods.")

(defvar *search-types* 
  '((:web . "http://api.search.yahoo.com/WebSearchService/V1/webSearch?")
	(:image . "http://api.search.yahoo.com/ImageSearchService/V1/imageSearch?")
	(:spelling . "http://api.search.yahoo.com/WebSearchService/V1/spellingSuggestion?")
	(:news . "http://api.search.yahoo.com/NewsSearchService/V1/newsSearch?")
	(:video . "http://api.search.yahoo.com/VideoSearchService/V1/videoSearch?")
	(:local . "http://api.local.yahoo.com/LocalSearchService/V1/localSearch?")
	(:related . "http://api.search.yahoo.com/WebSearchService/V1/relatedSuggestion?")
	(:term-extraction . "http://api.search.yahoo.com/ContentAnalysisService/V1/termExtraction")
	(:contextual . "http://api.search.yahoo.com/WebSearchService/V1/contextSearch")))

