(defpackage #:cl-yahoo
  (:nicknames #:yahoo)
  (:use #:cl
	#:asdf)
  (:export #:ysearch
	   #:web
	   #:image
	   #:news
	   #:local
	   #:spelling
	   #:related
	   #:video
	   #:type
	   #:results
	   #:start 
	   #:format
	   #:adult-ok
	   #:similar-ok
	   #:language
	   #:country
	   #:license
	   #:coloration
	   #:sort
	   #:radius
	   #:street
	   #:city
	   #:state
	   #:zip
	   #:location
	   #:latitude
	   #:longitude
	   #:web-result
	   #:image-result
	   #:news-result
	   #:spelling-result
	   #:video-result
	   #:local-result
	   #:related-result
	   #:result
	   #:title
	   #:summary
	   #:url
	   #:click-url
	   #:mime-type
	   #:modification-date
	   #:referer-url
	   #:file-size
	   #:file-format
	   #:height
	   #:width
	   #:publisher
	   #:restrictions
	   #:copyright
	   #:news-source
	   #:news-source-url
	   #:publish-date
	   #:duration
	   #:channels
	   #:streaming
	   #:city
	   #:state
	   #:phone
	   #:rating
	   #:distance
	   #:map-url
	   #:business-url
	   #:business-click-url
	   #:invalid-search-type-error
	   #:yahoo-error))

(in-package #:cl-yahoo)

(defsystem #:cl-yahoo
    :name "cl-yahoo"
    :author "Martin Elster"
    :version "0.1"
    :description "A CL interface to the yahoo API described at http://developer.yahoo.net/"
    :serial t
    :components ((:file "parameters")
		 (:file "utilities")
		 (:file "macros")
		 (:file "ysearch"))
    :depends-on (:s-xml
		 :trivial-http))
